Skip to main content
PATCH
/
v1
/
shipments
/
{id}
/
void
Void
curl --request PATCH \
  --url https://{defaultHost}/v1/shipments/{id}/void \
  --header 'Authorization: Bearer <token>'
{
  "id": "4769147d-424f-4792-b41f-5617b4b54edb",
  "object": "shipment",
  "status": "voided",
  "live_mode": true,
  "label_url": "https://deliver.goshippo.com/label.pdf",
  "label_file_type": "PDF",
  "tracking_number": "1Z999AA10123456784",
  "tracking_url": "https://tools.usps.com/go/TrackConfirmAction?tLabels=1Z999AA10123456784",
  "tracking_status": null,
  "eta": null,
  "weight": "2.0",
  "weight_unit": "lb",
  "carrier": "USPS",
  "dimensions": {
    "length": 10,
    "width": 8,
    "height": 5,
    "unit": "in"
  },
  "rates": [
    {
      "id": "rate_1",
      "amount": "5.50",
      "currency": "USD",
      "provider": "USPS",
      "service_name": "Priority",
      "estimated_days": 3
    }
  ],
  "selected_rate": {
    "id": "rate_1",
    "amount": "5.50",
    "currency": "USD",
    "provider": "USPS",
    "service_name": "Priority",
    "estimated_days": 3
  },
  "fulfillment": "8f829e12-55ec-4615-b968-6685b75fbc9b",
  "shipping_provider": "87b26b8c-b7cb-46d3-a359-fd20a29041d9",
  "from_address": "cc1434b8-d3ed-4dea-afbd-3cef3ae38be3",
  "to_address": "09a14415-8488-4f92-b7d2-c9bf8c06d651",
  "parcel_template": null,
  "created_at": 1773748368,
  "updated_at": 1773748368
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

label_file_type
string

The file type for the shipping label – one of PDF, PDF_A4, PDF_A6, PDF_4x6, PDF_4x8, PNG, ZPLII.

parcel_template
string

Expandable – The associated parcel template ID.

weight
string | null

The weight of the parcel.

weight_unit
string | null

The unit of the weight.

inherit_weight
boolean

When true, inherit the weight from the fulfillment.

dimensions
object

The dimensions of the parcel.

status
string

The current status of this shipment – one of draft, quoted, purchased, voided.

live_mode
boolean

Whether or not this shipment was created in live mode.

label_url
string | null

The URL for the purchased shipping label.

tracking_number
string | null

The tracking number for this shipment.

tracking_url
string | null

The URL to track this shipment.

carrier
string | null

The shipping carrier for this shipment.

tracking_status
string | null

The current tracking status – one of unknown, pre_transit, in_transit, delivered, returned, failure.

eta
string | null

The estimated time of arrival.

rates
object[]

The available shipping rates for this shipment.

selected_rate
object

The selected shipping rate for this shipment.

fulfillment

Expandable – The associated fulfillment ID.

shipping_provider

Expandable – The associated shipping provider ID.

from_address

Expandable – The associated address ID.

to_address

Expandable – The associated address ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.